# Laravel Authentication

## Install
### Add Myriad Repository

The client is distributed internally with Satis. First add the repository to `composer.json`:

```json
  "repositories": [
    {
      "type": "composer",
      "url": "https://satis.bushelops.com"
    }
  ]
```

### Require the Dependency

Require this package with composer using the following command:

```bash
composer require myriad/laravel-authentication
```

### Install Service Providers from Myriad Installations
This package depends on service providers from the laravel-installations package. Please refer to [Laravel Installations](https://dev.azure.com/bushelpowered/bushel-commons/_git/laravel-installations) for instructions on how to add the necessary service providers for that package.

### Install Service Provider

After adding providers from laravel-installations package, add the authentication service provider to the `providers` array in `config/app.php`:

```php
Myriad\Authentication\AuthenticationServiceProvider::class,
```

### Publish File Groups for Myriad Installations

First, you must refer to [Laravel Installations](https://dev.azure.com/bushelpowered/bushel-commons/_git/laravel-installations) for instructions on how to publish migrations, configuration, and middleware for that package.

### Publish Migrations

Rather than creating your own migrations table, you can publish the one from the authentication package:

```bash
php artisan vendor:publish --provider="Myriad\Authentication\AuthenticationServiceProvider" --tag="migrations"
```

### Configuration

The authentication package is designed to work out of the box with out a configuration. Should you need to edit the configuration, publish the authentication config file to the `config` directory:

```bash
php artisan vendor:publish --provider="Myriad\Authentication\AuthenticationServiceProvider" --tag="config"
```


## Build Docs
### The local way
```bash
npm install aglio --no-save
./node_modules/aglio/bin/aglio.js -i resources/assets/docs/authentication.md -o docs/index.html --theme-full-width -t slate -n resources/docs

```

### The Docker way
```bash
docker run -ti --rm -v $PWD:/docs humangeo/aglio -i resources/assets/docs/authentication.md -o docs/index.html --theme-full-width -t slate -n resources/docs
```