<?php

use Illuminate\Database\Capsule\Manager as Capsule;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAccessTokensTable extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Capsule::schema()->create($this->getTableName(), function (Blueprint $table) {
            $table->increments('id');
            $table->string('owner_type', 255);
            $table->unsignedInteger('owner_id');
            $table->string('client_type', 255);
            $table->unsignedInteger('client_id');
            $table->string('token', 255);
            $table->dateTime('expires_at');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Capsule::schema()->dropIfExists($this->getTableName());
    }

    /**
     * Get the table name from the config file
     *
     * @return string the table name
     */
    private function getTableName()
    {
        return config('authentication.table_names.access_tokens', 'access_tokens');
    }

}


