<?php

use Illuminate\Database\Capsule\Manager as Capsule;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddIndexToAccessTokens extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Capsule::schema()->table($this->getTableName(), function (Blueprint $table) {
            $table->index(['token', 'expires_at', 'deleted_at']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Capsule::schema()->table($this->getTableName(), function (Blueprint $table) {
            $table->dropIndex(['token', 'expires_at', 'deleted_at']);
        });
    }

    /**
     * Get the table name from the config file
     *
     * @return string the table name
     */
    private function getTableName()
    {
        return config('authentication.table_names.access_tokens', 'access_tokens');
    }

}
