<?php

use Illuminate\Database\Capsule\Manager as Capsule;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddIndexToUserPhones extends Migration
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Capsule::schema()->table($this->getTableName(), function (Blueprint $table) {
            $table->index(['phone']);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Capsule::schema()->table($this->getTableName(), function (Blueprint $table) {
            $table->dropIndex(['phone']);
        });
    }

    /**
     * Get the table name from the config file
     *
     * @return string the table name
     */
    private function getTableName()
    {
        return config('authentication.table_names.user_phones', 'user_phones');
    }

}
