<?php

namespace spec\Myriad\Authentication\Lib\Providers;

use Illuminate\Contracts\Auth\UserProvider;
use Illuminate\Contracts\Hashing\Hasher;
use Myriad\Authentication\Lib\Providers\EloquentUserProvider;
use Myriad\Authentication\Lib\Repositories\IAccessTokenRepository;
use Myriad\Authentication\Models\User;
use PhpSpec\ObjectBehavior;

class EloquentUserProviderSpec extends ObjectBehavior
{
    function let(Hasher $hasher, IAccessTokenRepository $accessTokenRepo)
    {
        $this->beConstructedWith($hasher, $accessTokenRepo, User::class);
    }

    function it_is_initializable()
    {
        $this->shouldHaveType(EloquentUserProvider::class);
    }

    function it_should_implement_user_provider_interface()
    {
        $this->shouldImplement(UserProvider::class);
    }
}
