<?php

namespace spec\Myriad\Authentication\Lib\Strategies;

use Illuminate\Contracts\Config\Repository as Config;
use Illuminate\Contracts\Events\Dispatcher;
use Illuminate\Contracts\View\Factory as ViewFactory;
use Myriad\Authentication\Lib\Repositories\IUserRepository;
use Myriad\Authentication\Lib\Services\IPhoneNumberConfirmer;
use Myriad\Authentication\Lib\Services\ITextMessageSender;
use Myriad\Authentication\Lib\Strategies\IVerificationStrategy;
use Myriad\Authentication\Lib\Strategies\PhoneNumberVerification;
use PhpSpec\ObjectBehavior;

class PhoneNumberVerificationSpec extends ObjectBehavior
{
    function let(
        Config $config,
        ITextMessageSender $textMessageSender,
        ViewFactory $viewFactory,
        IUserRepository $userRepository,
        Dispatcher $dispatcher
    ) {
        $this->beConstructedWith($config, $textMessageSender, $viewFactory, $userRepository, $dispatcher);
    }

    function it_is_initializable()
    {
        $this->shouldHaveType(PhoneNumberVerification::class);
    }

    function it_should_implement_verification_strategy_interface()
    {
        $this->shouldImplement(IVerificationStrategy::class);
    }

    function it_implements_phone_number_confirmer_interface()
    {
        $this->shouldImplement(IPhoneNumberConfirmer::class);
    }
}
