<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Contracts\Bus\Dispatcher;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Myriad\Authentication\Lib\Jobs\LoginWithEmailFromInstallation;
use Myriad\Installations\InstallationManager;

class LoginController extends Controller
{
    public function login(
      Request $request,
      InstallationManager $manager,
      Dispatcher $dispatcher
    ) {
        $installation = $manager->getInstallation();

        $arguments = array_merge($request->all(), ['installation_uuid' => $installation->uuid]);
        $command = new LoginWithEmailFromInstallation($arguments);

        $response = $dispatcher->dispatchNow($command);

        return [
          'data' => $response,
        ];
    }
}
