<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Contracts\Auth\Guard;
use Illuminate\Contracts\Bus\Dispatcher;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Myriad\Authentication\Lib\Jobs\LogoutUser;
use Myriad\Installations\InstallationManager;

class LogoutController extends Controller
{
    public function logout(
      Request $request,
      Guard $guard,
      InstallationManager $manager,
      Dispatcher $dispatcher
    ) {
        $command = new LogoutUser($guard->user(), $manager->getInstallation(), $request->get('all'));
        $dispatcher->dispatchNow($command);
    }
}
