<?php

namespace Myriad\Authentication\Http\Controllers;

use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Myriad\Authentication\Http\Requests\UserRegistrationRequest;
use Myriad\Authentication\Lib\Jobs\SendRegistrationEmailVerification;
use Myriad\Authentication\Lib\Jobs\SendRegistrationPhoneVerification;

class RegistrationController extends Controller
{

    /**
     * Register a User
     *
     * @param  UserRegistrationRequest  $request
     * @return Response
     */
    public function register(
      UserRegistrationRequest $request
    ) {
        if ($request->has('email')) {
            dispatch(new SendRegistrationEmailVerification(
              $request->first_name,
              $request->last_name,
              $request->email,
              $request->type,
              $request->password
            ));
        } else {
            dispatch(new SendRegistrationPhoneVerification(
              $request->first_name,
              $request->last_name,
              $request->phone,
              $request->type,
              $request->password
            ));
        }

        return response('', Response::HTTP_CREATED);
    }
}
