<?php

namespace Myriad\Authentication\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

/**
 * @property string first_name
 * @property string last_name
 * @property string phone
 * @property string email
 * @property string type
 * @property string password
 */
class UserRegistrationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        // anybody can register
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
          'first_name' => 'required|string',
          'last_name' => 'required|string',
          'phone' => 'required_without:email|string|unique_verified:user_phones',
          'email' => 'required_without:phone|email|unique_verified:user_emails',
          'type' => 'required|string|in:work,personal',
          'password' => 'required|string|confirmed',
        ];
    }
}
