<?php

namespace Myriad\Authentication\Http\Transformers;

use League\Fractal\TransformerAbstract;
use Myriad\Authentication\Models\User;

class UserTransformer extends TransformerAbstract implements IUserTransformer
{

    protected $defaultIncludes = [
        'phone_numbers',
        'email_addresses',
    ];

    protected $availableIncludes = [
        'phone_numbers',
        'email_addresses',
    ];

    public function transform($user)
    {
        return [
            'id' => $user->id,
            'first_name' => $user->first_name,
            'last_name' => $user->last_name,
            'last_login' => $user->last_login ? $user->last_login->toIso8601String() : null,
            'created_at' => $user->created_at->toIso8601String(),
            'updated_at' => $user->updated_at->toIso8601String(),
        ];
    }

    public function includePhoneNumbers(User $user)
    {
        $phoneNumbers = $user->phoneNumbers;

        return $this->collection($phoneNumbers, new UserPhoneTransformer());
    }

    public function includeEmailAddresses(User $user)
    {
        $emailAddresses = $user->emailAddresses;

        return $this->collection($emailAddresses, new UserEmailTransformer());
    }
}
