<?php

namespace Myriad\Authentication\Lib\Listeners;

use Myriad\Authentication\Lib\Events\UserRegisteredWithEmail;
use Myriad\Authentication\Lib\Services\IEmailConfirmer;

class UserRegisteredWithEmailListener
{

    private $mailer;

    public function __construct(
        IEmailConfirmer $mailer
    ) {
        $this->mailer = $mailer;
    }

    public function handle(UserRegisteredWithEmail $event)
    {
        $email = $event->userEmail->email;

        $this->mailer->sendConfirmationEmail(
            $email,
            $event->user,
            ['type' => $event->userEmail->type, 'primary' => true]
        );
    }

}
