<?php

namespace Myriad\Authentication\Lib\Repositories;

use Carbon\Carbon;
use Myriad\Authentication\Models\VerificationCode;

class EloquentVerificationCodeRepository implements IVerificationCodeRepository
{

    public function findVerificationCodes($contact, $includeExpired = false, $maxAttemptCount = 5)
    {
        $query = VerificationCode::where('contact', trim($contact));

        if (!$includeExpired) {
            $query = $query->where('expires_at', '>=', Carbon::now());
        }

        if ($maxAttemptCount) {
            $query = $query->where('attempts', '<', $maxAttemptCount);
        }

        return $query->get();
    }

}
