<?php

namespace Myriad\Authentication\Lib\Repositories;

use Illuminate\Contracts\Auth\Authenticatable;
use Myriad\Authentication\Models\AccessToken;
use Myriad\Installations\Models\Installation;

interface IAccessTokenRepository
{
    public function createAccessToken(Authenticatable $user, Installation $installationClient);

    public function getUserFromToken(string $token): Authenticatable;

    public function getAccessTokenByToken(string $token): ?AccessToken;

    public function logout(Authenticatable $user, Installation $installationClient, bool $all): void;
}
