<?php

if (config('authentication.routes.api.register.enabled', true)) {
    Route::post(
        config('authentication.routes.api.register.route', 'api/v1/auth/register'),
        config('authentication.routes.api.register.config', [
            'uses' => '\Myriad\Authentication\Http\Controllers\RegistrationController@register',
            'as' => 'users.register',
        ])
    );
}

if (config('authentication.routes.api.login.enabled', true)) {
    Route::post(
        config('authentication.routes.api.login.route', 'api/v1/auth/login'),
        config('authentication.routes.api.login.config', [
            'uses' => '\Myriad\Authentication\Http\Controllers\LoginController@login',
            'as' => 'users.login',
        ])
    );
}

if (config('authentication.routes.api.verification_codes.send.enabled', true)) {
    Route::post(
        config('authentication.routes.api.verification_codes.send.route', 'api/v1/auth/verification_codes/send'),
        config('authentication.routes.api.verification_codes.send.config', [
            'uses' => '\Myriad\Authentication\Http\Controllers\VerificationCodeController@send',
            'as' => 'verification_code.send',
        ])
    );
}

if (config('authentication.routes.api.verification_codes.verify.enabled', true)) {
    Route::post(
        config('authentication.routes.api.verification_codes.verify.route', 'api/v1/auth/verification_codes/verify'),
        config('authentication.routes.api.verification_codes.verify.config', [
            'uses' => '\Myriad\Authentication\Http\Controllers\VerificationCodeController@verify',
            'as' => 'verification_code.verify',
        ])
    );
}

if (config('authentication.routes.api.me.enabled', true)) {
    Route::get(
        config('authentication.routes.api.me.route', 'api/v1/auth/me'),
        config('authentication.routes.api.me.config', [
            'middleware' => 'auth:api',
            'uses' => '\Myriad\Authentication\Http\Controllers\UserController@me',
            'as' => 'users.me',
        ])
    );
}


if (config('authentication.routes.api.logout.enabled', true)) {
    Route::post(
        config('authentication.routes.api.logout.route', 'api/v1/auth/logout'),
        config('authentication.routes.api.logout.config', [
            'middleware' => 'auth:api',
            'uses' => '\Myriad\Authentication\Http\Controllers\LogoutController@logout',
            'as' => 'users.logout',
        ])
    );
}

