<?php

namespace Tests;

use Myriad\Authentication\AuthenticationServiceProvider;
use Myriad\Installations\InstallationsServiceProvider;
use Myriad\Validators\ValidatorServiceProvider;
use Orchestra\Testbench\TestCase as BaseTestCase;

class TestCase extends BaseTestCase
{
    public function setUp(): void
    {
        parent::setUp();

        $this->artisan('migrate', ['--database' => 'testing'])->run();

        $this->loadMigrationsFrom(__DIR__.'/../vendor/myriad/laravel-installations/database/migrations');
        $this->loadMigrationsFrom(__DIR__.'/../database/migrations');

        $this->withFactories(__DIR__.'/../database/factories');
    }

    protected function getPackageProviders($app)
    {
        return [
            ValidatorServiceProvider::class,
            InstallationsServiceProvider::class,
            AuthenticationServiceProvider::class,
        ];
    }

}
